## net.sf.saxon.event
Interface SourceLocationProvider

All Superinterfaces:
  LocationProvider

All Known Implementing Classes:
  DOMSender, StaxBridge, StaxToEventBridge

    public interface SourceLocationProvider

extends LocationProvider

A SourceLocationProvider is a `LocationProvider` that represents locations in the source document from which the events are derived (as distinct from locations in a query or stylesheet of the instructions causing the events)

Method Summary

Methods inherited from interface net.sf.saxon.event.LocationProvider
`getColumnNumber, getLineNumber, getSystemId`

Copyright (c) Saxonica Limited. All rights reserved.